Issue 101457

Summary: javaldx searches for Java on every startup
Product: udk Reporter: Stephan Bergmann <stephan.bergmann.secondary>
Component: codeAssignee: Olaf Felka <olaf-openoffice>
Status: CLOSED FIXED QA Contact: issues@udk <issues>
Severity: Trivial    
Priority: P2 CC: b.osi.ooo, issues, mdxonefour, nesshof
Version: DEV300m46Keywords: oooqa, regression
Target Milestone: OOo 3.1.1   
Hardware: All   
OS: Unix, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 101565    
Attachments:
Description Flags
apparent fix none

Description Stephan Bergmann 2009-04-30 14:59:10 UTC
The fix for issue 93939 (integrated into OOO310m8 and DEV300m46) apparently
introduced a mistake that causes javaldx to search for an appropriate Java
installation on *every* soffice startup.  This affects Linux and Solaris (i.e.,
the platforms that run javaldx from the soffice wrapper script).  On one
specific Linux machine, this caused cold start numbers for soffice -writer to
increase from 8 sec (DEV300m45 unxlngi6.pro OOo) to 13 sec (DEV300m46
unxlngi6.pro OOo).  tbo volunteered to check whether start up performance
similarly degraded for OOO310m8 (which might have an impact on the appropriate
target for this issue).  See the attached DEV300m46-jvmfwk.patch for an apparent
fix.
Comment 1 Stephan Bergmann 2009-04-30 15:01:14 UTC
Created attachment 61929 [details]
apparent fix
Comment 2 joachim.lingner 2009-04-30 15:41:54 UTC
Well, that's embarrassing.
Comment 3 b.osi.ooo 2009-04-30 16:33:35 UTC
ok here are the results from the OOO310 jury with some compareable times from
DEV300:
OOO310m11: 4770 ms +/- 40 ms
DEV300m46: 4968 ms +/- 49 ms
DEV300m43: 2124 ms +/- 15 ms

OOO310m5 ist currently measuring, but is also in the range of: 2130 ms

so performance regression of startuptime for OOO310 also;
Comment 4 joachim.lingner 2009-05-13 11:32:18 UTC
@of: Please verify:

1. Ony during the first start (Unix) a Java is searched for. If one is found
then at the following start ups no Java is searched.
To see what Java was selected you can look into
~/.openoffice/3/user/config/javasettins_....xml

2.Select a particular java. Then when restarting OOo no Java is being searched
for. Close OOo and rename the folder of the Java which you selected before. The
next time you start OOo a Java will be searched again.
Comment 5 joachim.lingner 2009-05-13 11:38:28 UTC
.
Comment 6 steffen.grund 2009-05-18 10:24:00 UTC
This issue prevents an Office start with Java debugging enabled - javaldx fails
when debugging parameter are given to the JVM.
This is also an issue for the NetBeans plugin on Solaris and Linux. I will
verify if the fix works there.
Comment 7 steffen.grund 2009-05-19 14:45:31 UTC
Verified on Solaris x86, works fine.
Comment 8 Olaf Felka 2009-06-08 14:33:15 UTC
of: verified in cws ooo31osol.
Comment 9 thackert 2009-08-11 18:28:51 UTC
Hello sb, *,
I have tested this issue with Debian SID AMD64 and OOO310m18. Here OOo starts
quick as well as the search under Tools - Options - OOo - Java is really quick
... ;) Could someone else check it with an other distribution or Solaris and
close this issue, if it fixed, please?
TIA
Thomas.
Comment 10 Olaf Felka 2009-08-20 13:23:32 UTC
Issue fix has been confirmed by 'OOo on OSOL' users. Thanks for helping.